## Class Auth_OpenID_SetupNeededResponse

Description

A response with a status of Auth_OpenID_SETUP_NEEDED. Indicates that the request was in immediate mode, and the server is unable to authenticate the user without further interaction.

claimed_id - The identity URL for which authentication was attempted.

setup_url - A URL that can be used to send the user to the server to set up for authentication. The user should be redirected in to the setup_url, either in the current window or in a new browser window. Null in OpenID 2.

status - Auth_OpenID_SETUP_NEEDED.

Located in /Auth/OpenID/Consumer.php (line 2219)

    Auth_OpenID_ConsumerResponse
       |
       --Auth_OpenID_SetupNeededResponse

Variable Summary
mixed $status
Method Summary
Auth_OpenID_SetupNeededResponse Auth_OpenID_SetupNeededResponse ( $endpoint, [ $setup_url = null])
Variables
mixed $status = Auth_OpenID_SETUP_NEEDED (line 2220)

Redefinition of:

Auth_OpenID_ConsumerResponse::$status

Methods
Constructor Auth_OpenID_SetupNeededResponse (line 2222)
Auth_OpenID_SetupNeededResponse Auth_OpenID_SetupNeededResponse ( $endpoint, [ $setup_url = null])

- $endpoint
- $setup_url

#### Inherited Methods

Inherited From Auth_OpenID_ConsumerResponse

> Auth_OpenID_ConsumerResponse::getDisplayIdentifier()
> Auth_OpenID_ConsumerResponse::setEndpoint()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2